Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.quant.ninja
Class NinjaFileConvert

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.basic.BasicCachedFile
              org.encog.app.quant.ninja.NinjaFileConvert

All Implemented Interfaces:
  QuantTask

    public class NinjaFileConvert

extends BasicCachedFile

A simple class that shows how to convert financial data into the form that NinjaTrader can recognize. The input data must have CSV headers that indicate the following fields: date time high low open close volume This data will be rearranged to fit the NinjaTrader format, which is documented here: http://www.ninjatrader.com/support/helpGuides/nt7/index.html?importing.htm

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`NinjaFileConvert()`

Method Summary
`void` | `process(File target)` Process the file and output to the target file.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicCachedFile
`addColumn, analyze, getColumnData, getColumnMapping, getColumns`

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getFormat, getInputFilename, getInputHeadings, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NinjaFileConvert

    public NinjaFileConvert()

Method Detail

### process

    public final void process(File target)

  Process the file and output to the target file.

  Parameters:
    `target` - The target file to write to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.